Bug 1270350 - Exception thrown during refresh of RHEL-OSP Infra provider
Exception thrown during refresh of RHEL-OSP Infra provider
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Ladislav Smola
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 14:05 EDT by Thom Carlin
Modified: 2015-11-11 15:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-27 09:46:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-10-09 14:05:11 EDT
Description of problem:

RHEL-OSP infra provider refresh never returns.  Error in logs

Version-Release number of selected component (if applicable):

5.5.0.5-beta1.1.20151007163855_ed40d96

How reproducible:

100%

Steps to Reproduce:
1. Define OpenStack Infrastructure provider with valid credentials
2. Configuration -> Refresh Relationships and Power States
3.

Actual results:

No relationships found, errors in logs

Expected results:

Relationships refreshed, no errors

Additional info:

evm.log excerpt

[----] E, [2015-10-09T13:58:03.964444 #4958:de1994] ERROR -- : <Fog> excon.error     #<Excon::Errors::SocketError: SSL_connect returned=1 errno=0 state=SSLv2/v3 read server hello A: unknown protocol (OpenSSL::SSL::SSLError)>

[----] E, [2015-10-09T13:58:04.634528 #4958:de1994] ERROR -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::Refresher#refresh) EMS: [provider_name], id: [1] Refresh failed
[----] E, [2015-10-09T13:58:04.635064 #4958:de1994] ERROR -- : [NoMethodError]: undefined method `handled_list' for nil:NilClass  Method:[rescue in block in refresh]
[----] E, [2015-10-09T13:58:04.635281 #4958:de1994] ERROR -- : /var/www/miq/vmdb/app/models/manageiq/providers/openstack/infra_manager/refresh_parser.rb:110:in `hosts_ports'
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/infra_manager/refresh_parser.rb:122:in `load_hosts'
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/infra_manager/refresh_parser.rb:40:in `ems_inv_to_hashes'
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/infra_manager/refresh_parser.rb:12:in `ems_inv_to_hashes'
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/infra_manager/refresher.rb:7:in `parse_inventory'
/var/www/miq/vmdb/app/models/ems_refresh/refreshers/ems_refresher_mixin.rb:19:in `block in refresh'
/var/www/miq/vmdb/app/models/ems_refresh/refreshers/ems_refresher_mixin.rb:7:in `each'
/var/www/miq/vmdb/app/models/ems_refresh/refreshers/ems_refresher_mixin.rb:7:in `refresh'
/var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:12:in `refresh'
/var/www/miq/vmdb/app/models/ems_refresh.rb:76:in `block in refresh'
/var/www/miq/vmdb/app/models/ems_refresh.rb:75:in `each'
/var/www/miq/vmdb/app/models/ems_refresh.rb:75:in `refresh'
/var/www/miq/vmdb/app/models/miq_queue.rb:345:in `block in deliver'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:89:in `block in timeout'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `block in catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:34:in `catch'
/opt/rh/rh-ruby22/root/usr/share/ruby/timeout.rb:104:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:341:in `deliver'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:106:in `deliver_queue_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:134:in `deliver_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:151:in `block in do_work'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:145:in `loop'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:145:in `do_work'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:323:in `block in do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:320:in `loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:320:in `do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:142:in `run'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:123:in `start'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:24:in `start_worker'
/var/www/miq/vmdb/lib/workers/bin/worker.rb:2:in `<top (required)>'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `load'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `<top (required)>'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:90:in `runner'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
[----] E, [2015-10-09T13:58:04.635398 #4958:de1994] ERROR -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::Refresher#refresh) EMS: [provider_name], id: [1] Unable to perform refresh for the following targets:
[----] E, [2015-10-09T13:58:04.635613 #4958:de1994] ERROR -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::Refresher#refresh)  --- ManageIQ::Providers::Openstack::InfraManager [provider_name] id [1]
Comment 2 Ladislav Smola 2015-10-13 06:12:36 EDT
Seems like Ironic is not available here? Maybe just firewall settings? 


There is another BZ for making exceptions more clear even allowing to continue refresh for no essential services. In this case the exception will be "Core service Ironic can't be reached, stopping refresh."
Comment 3 Ladislav Smola 2015-10-14 03:43:53 EDT
@Greg seems like this one was putting Cloud provider into RHEL OSP director provider, can we close it?
Comment 4 Thom Carlin 2015-10-27 09:46:47 EDT
Not reproducible in 5.5.0.7-beta1.3.20151021133253_ed40d96

Note You need to log in before you can comment on or make changes to this bug.